gLevelValues.exitCastleLevel = 16
gLevelValues.exitCastleArea = 1
gLevelValues.exitCastleWarpNode = 10

gBehaviorValues.KingBobombFVel = 3.0
gBehaviorValues.KingBobombYawVel = 256
gBehaviorValues.KingBobombHealth = 3
gBehaviorValues.KingWhompHealth = 5
gBehaviorValues.KoopaThiAgility = 6.0
gBehaviorValues.KoopaBobAgility = 4.0

gBehaviorValues.MipsStar1Requirement = 15
gBehaviorValues.MipsStar2Requirement = 50
gBehaviorValues.ToadStar1Requirement = 12
gBehaviorValues.ToadStar2Requirement = 25
gBehaviorValues.ToadStar3Requirement = 35

gLevelValues.pssSlideStarTime = 600
gLevelValues.metalCapDuration = 600
gLevelValues.wingCapDuration = 1800
gLevelValues.vanishCapDuration = 600

gLevelValues.metalCapDurationCotmc = 1
gLevelValues.wingCapDurationTotwc = 1800
gLevelValues.vanishCapDurationVcutm = 1

gLevelValues.coinsRequiredForCoinStar = 0

local fix_levels = {

	[LEVEL_LLL] = true,
	[LEVEL_TTM] = true,
}

function acts()
    ---@type NetworkPlayer
    local np = gNetworkPlayers[0]
    ---@type MarioState
    local m = gMarioStates[0]
    gLevelValues.disableActs = false

    if fix_levels[np.currLevelNum] then
        gLevelValues.disableActs = true
	
    end
    if np.currLevelNum == LEVEL_BOB then
        gLevelValues.disableActs = true
    end
end

hook_event(HOOK_UPDATE, acts)
